ItemObjCont Class Reference

Private class that represents an item object container. More...

`#include <DictObjCont.h>`

Inheritance diagram for ItemObjCont:
Collaboration diagram for ItemObjCont:

## Public Member Functions

| ItemObjCont (Serializer &ser, DicFile &dicFile, const string &blockName, const string &itemName)
| ~ItemObjCont ()
void | Build ()
Public Member Functions inherited from ObjCont
| ObjCont (Serializer &ser, DicFile &dicFile, const string &blockName, const string &id, const ObjContInfo &objContInfo)
virtual | ~ObjCont ()
void | Init ()
const string & | GetName () const
virtual void | Read (UInt32 which, unsigned int Index=0)
virtual UInt32 | Write ()
const vector< string > & | GetAttribute (const string &catName, const string &itemName) const
void | Print () const
void | SetVerbose (bool verbose)

## Additional Inherited Members

Protected Member Functions inherited from ObjCont
void | BuildItems (vector< vector< string > > &combo, const unsigned int configIndex, const string &value)
Protected Attributes inherited from ObjCont
Serializer & | _ser
DicFile & | _dicFile
const ObjContInfo & | _objContInfo
string | _blockName
string | _id
bool | _verbose
vector< UInt32 > | _index
vector< vector< vector< string > > > | _itemsStore

## Detailed Description

Private class that represents an item object container.

This class represents an item object container, i.e., an object container of type "item". In addition to ObjCont features, this class adds support for item decendents.

## Constructor & Destructor Documentation

ItemObjCont::ItemObjCont | ( | Serializer & | ser,
|  | DicFile & | dicFile,
|  | const string & | blockName,
|  | const string & | itemName
| ) |  |

Utility method, not part of users public API, and will soon be removed.

ItemObjCont::~ItemObjCont | ( |  | ) |

Utility method, not part of users public API, and will soon be removed.

## Member Function Documentation

void ItemObjCont::Build | ( |  | ) |

virtual

Utility method, not part of users public API, and will soon be removed.

Reimplemented from ObjCont.

The documentation for this class was generated from the following file:

- rcsb/DictObjCont.h